import { Events } from '../../utils/props';
export declare type ModalPosition = 'default' | 'top' | 'center' | 'bottom';
export interface ModalProps {
    id: string;
    type: string;
    width: string;
    height: string;
    title: string;
    titleFontSize: string;
    titleColor: string;
    backgroundColor: string;
    backgroundImage: string;
    backgroundSize: string;
    keyName: string;
    componentList: {
        [key: string]: any;
    }[];
    fullModal: boolean;
    originalWidth: string;
    originalHeight: string;
    destroyOnClose: boolean;
    position: ModalPosition;
    closeBtnColor: string;
    isShowCloseBtn: boolean;
    events: Events;
    borderRadius: string;
    borderWidth: string;
    borderColor: string;
    boxShadow: string;
    allComponentList?: {
        [key: string]: any;
    }[];
    requestList: {
        [key: string]: any;
    }[];
    parentIframeId: string;
    banScale: boolean;
}
export declare const modalProps: ModalProps;
export declare const modalComponentProps: {
    id: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    type: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    width: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    height: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    title: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleFontSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    titleColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundImage: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    backgroundSize: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    keyName: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    componentList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    fullModal: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    originalWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    originalHeight: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    destroyOnClose: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    position: {
        type?: import("vue").PropType<ModalPosition>;
        default?: ModalPosition;
    };
    closeBtnColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    isShowCloseBtn: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
    events: {
        type?: import("vue").PropType<Events>;
        default?: Events;
    };
    borderRadius: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderWidth: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    borderColor: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    boxShadow: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    allComponentList?: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    requestList: {
        type?: import("vue").PropType<{
            [key: string]: any;
        }[]>;
        default?: {
            [key: string]: any;
        }[];
    };
    parentIframeId: {
        type?: import("vue").PropType<string>;
        default?: string;
    };
    banScale: {
        type?: import("vue").PropType<boolean>;
        default?: boolean;
    };
};
export declare const modalEvents: string[];
